use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    'NAME'	=> 'SAP_RFC',
    'VERSION_FROM' => 'SAP_RFC.pm', # finds $VERSION
    'LIBS'	=> ['-L/disc1/user1/sap/rfcsdk/lib -lrfc'],   # e.g., '-lm' 
    'DEFINE'	=> '',     # e.g., '-DHAVE_SOMETHING' 
    'INC'	=> '-I/disc1/user1/sap/rfcsdk/include',     # e.g., '-I/usr/include/other' 
    'MYEXTLIB'  => 'rfclib/librfclib$(LIB_EXT)',
    'LINKTYPE'  => 'static',
    'MAP_TARGET'  => 'rfcperl',
);

sub MY::postamble
{
'
$(MYEXTLIB) : rfclib/Makefile
	cd rfclib && $(MAKE)

';	
}
