use ExtUtils::MakeMaker;
$VERBOSE = 1;
WriteMakefile(
     NAME  => 'SAP_RFC::rfclib',
     SKIP    => [qw(all static static_lib dynamic dynamic_lib)],
     INC	=> '-I/disc1/user1/sap/rfcsdk/include -aarchive -N',     # e.g., '-I/usr/include/other' 
#    'LIBS'	=> ['-L/disc1/user1/sap/rfcsdk/lib -aarchive -lrfc'],   # e.g., '-lm' 
     OBJECT   => 'rfc_help.o rfc_open.o rfc_rfcping.o rfc_ckerr.o rfc_sysinfo.o rfc_callrx.o',
     clean  => {'FILES' => 'librfclib.a'},
     LINKTYPE  => 'static',
    );
    
sub MY::top_targets
{
'
all :: static

static :: librfclib$(LIB_EXT)

librfclib$(LIB_EXT): $(O_FILES)
	$(AR) cr librfclib$(LIB_EXT)  $(O_FILES)
	$(RANLIB) librfclib$(LIB_EXT)

';	
}    
